/*
 * GkSu -- Gtk+ Frontend to su
 * Copyright (C) 2002 Gustavo Noronha Silva
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef  __GKSU_H__
#define __GKSU_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

/* initializes the library */
gboolean gksu_init (gint argc, gchar **argv);

/* safe free */
void gksu_secure_free (gchar *string);

/* 
   opens the dialog to ask for the password and
   returns it
*/
gchar* 
gksu_ask_password ();

void
gksu_free_conf ();

gboolean
gksu_run (gchar *command);

gboolean
gksu_sudo_run (gchar *command);

/* 
   getters and setters for the configuration
   options
*/
void
gksu_set_user (gchar *username);

const gchar*
gksu_get_user (void);

void
gksu_set_title (gchar *title);

const gchar*
gksu_get_title (void);

void
gksu_set_message (gchar *message);

const gchar *
gksu_get_message ();

void
gksu_set_icon (gchar *icon);

const gchar*
gksu_get_icon (void);

void
gksu_set_login_shell (gboolean value);

gboolean
gksu_get_login_shell ();

void
gksu_set_keep_env (gboolean value);

gboolean
gksu_get_keep_env ();

void
gksu_set_grab (gboolean value);

gboolean
gksu_get_grab ();

void
gksu_set_debug (gboolean value);

gboolean
gksu_get_debug ();

void
gksu_set_ssh_fwd (gboolean value);

gboolean
gksu_get_ssh_fwd ();

G_END_DECLS

#endif
